python-oslo.config (1:3.22.0-0ubuntu1) zesty; urgency=medium

  * debian/watch: Point to tarballs.openstack.org 
  * d/control: Bump dependencies.
  * d/control: Add dep-8 test.
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jan 2017 10:10:11 -0500

python-oslo.config (1:3.21.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 07 Dec 2016 09:34:10 -0500

python-oslo.config (1:3.20.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Dec 2016 10:42:30 -0500

python-oslo.config (1:3.19.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 02 Nov 2016 12:31:52 -0400

python-oslo.config (1:3.18.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Bump depdendencies.
  * debian/patches/test-config-dir-doesnt-exist.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 24 Oct 2016 15:28:48 -0400

python-oslo.config (1:3.17.0-1ubuntu1) yakkety; urgency=medium

  * d/p/test-config-dir-doesnt-exist.patch: Ensure directory really
    doesn't exist for test_config_dir_doesnt_exist().

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Sep 2016 16:44:13 -0400

python-oslo.config (1:3.17.0-1) experimental; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 25 Aug 2016 14:49:00 +0100

python-oslo.config (1:3.16.0-1) experimental; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Aug 2016 15:46:06 +0100

python-oslo.config (1:3.15.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * Added python-setuptools to build depends (Closes: #834769)

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Aug 2016 15:51:03 +0100

python-oslo.config (1:3.12.0-2) experimental; urgency=medium

  * Re-adds python3-sphinx build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 14:24:34 +0000

python-oslo.config (1:3.12.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Thomas Goirand ]
  * Drop old python-oslo-* transition packages.
  * Switch to pkgos-dh_auto_{test,install}.
  * Do not run test_list_ignores_doubles() which fails in Sid.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 14:04:46 +0000

python-oslo.config (1:3.11.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * d/control: Align (Build-)Depends for new upstream release

 -- Ondřej Nový <onovy@debian.org>  Sun, 26 Jun 2016 00:33:59 +0200

python-oslo.config (1:3.10.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-doc-conf-git.patch: Dropped. Fixed upstream.
  * d/p/Fix_isinstance_call.patch: Dropped. Fixed upstream.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> as Uploaders.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Jun 2016 11:56:15 +0000

python-oslo.config (1:3.9.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 07:45:56 +0000

python-oslo.config (1:3.9.0-2) experimental; urgency=medium

  * Added Fix_isinstance_call.patch, fixing Neutron config generation.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Mar 2016 20:46:55 +0000

python-oslo.config (1:3.9.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * d/p/remove-argparse-from-requirements.patch: Dropped. No longer needed.
  * d/control: Add python(3)-docutils to (Build-)Depends.
  * d/control: Add python3-sphinx to Build-Depends.
  * d/p/debian/patches/drop-doc-conf-git.patch: Drop git from sphinx config
    file as git repository is not avialable during package builds.

  [ Thomas Goirand ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2016 10:00:07 +0000

python-oslo.config (1:3.2.1-2) experimental; urgency=medium

  * Remove argparse from requirements.txt.
  * Fixed debian/copyright ordering.
  * Fixed VCS fields to use https.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Feb 2016 09:58:52 +0000

python-oslo.config (1:3.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 03:51:41 +0000

python-oslo.config (1:3.2.0-1) experimental; urgency=medium

  [ Ivan Udovichenko ]
  * d/copyright: Fix wrong value of Upstream-Name field.
    (LP#1493101)

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 01:43:00 +0000

python-oslo.config (1:3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Dec 2015 10:45:18 +0100

python-oslo.config (1:2.4.0-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:24:50 +0000

python-oslo.config (1:2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 19:26:35 +0000

python-oslo.config (1:2.4.0-1) experimental; urgency=medium

  [ James Page ]
  * Add package directory to PYTHONPATH before building doc, fixing
    FTBFS.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 17:33:47 +0200

python-oslo.config (1:2.3.0-1) experimental; urgency=medium

  [ James Page ]
  * Fixup typo in transitional package description (LP: #1471561).
  * d/p/fixtures-1.3-compat.patch: Cherry pick fix from upstream VCS to
    resolve compatibility with fixtures >= 1.3.1.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Sep 2015 07:23:50 +0000

python-oslo.config (1:1.12.1-3) experimental; urgency=medium

  [ James Page ]
  * Team upload.
  * d/control: Fixup errant , in Uploaders field.

  [ Thomas Goirand ]
  * Made build reproducible, thanks to Juan Picca <jumapico@gmail.com>
    (Closes: #788479).

 -- James Page <james.page@ubuntu.com>  Mon, 15 Jun 2015 08:41:12 +0100

python-oslo.config (1:1.12.1-1) experimental; urgency=medium

  * Team Upload.
  * New upstream release.
  * Update watch file to use pypi.debian.net.

 -- James Page <james.page@ubuntu.com>  Wed, 10 Jun 2015 11:31:56 +0100

python-oslo.config (1:1.11.0-1) experimental; urgency=medium

  * New upstream release:
    - d/control: Align version requirements with upstream.
  * Re-integrate with Ubuntu:
    - d/control: Add Breaks/Replaces for Ubuntu *oslo-config binaries.
    - d/control: Add transitional packages for *oslo-config binaries
      in Ubuntu.
  * Rename source package to python-oslo.config.

 -- James Page <james.page@ubuntu.com>  Tue, 02 Jun 2015 12:38:51 +0100

oslo-config (1:1.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Removed all patches (obsolete).
  * Standards-Version: 3.9.6.
  * Dropped the Provides: oslo-config.

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Feb 2015 20:29:26 +0100

oslo-config (1:1.4.0.0-2) experimental; urgency=medium

  * Added argparse to py3dist-overrides.

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Oct 2014 22:34:52 +0800

oslo-config (1:1.4.0.0-1) experimental; urgency=medium

  * New upstream release (really is 1.4.0).

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Sep 2014 02:15:48 +0000

oslo-config (1:1.4.0.0~a5-1) experimental; urgency=medium

  * New upstream release.
  * Added update-alternative for the oslo-config-generator binary.
  * Reviewed (build-)depends for this release.
  * Drops Fix test_version on Python 3.4 patch, applied upstream.
  * Added Build-Conflicts will all python{3,}-oslo.* packages.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 Aug 2014 00:51:02 +0800

oslo-config (1:1.3.0-2) unstable; urgency=medium

  * Do not run unit tests using python 2.6.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 May 2014 15:33:56 +0000

oslo-config (1:1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Added Python3 support.
  * Fixed long description typo (Closes: #745291).
  * Added UPSTREAM_GIT in debian/rules.
  * Added a -doc package.
  * Added Fix_test_version_on_Python_3.4.patch
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" to debian/source/options.
  * Bumped Standards-Version: to 3.9.5.
  * Cleans correctly to allow double builds.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 May 2014 15:13:59 +0000

oslo-config (1:1.3.0~a0-2) unstable; urgency=medium

  * New upstream release.
  * Added --testr-args='--subunit  ' when calling testr.

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Mar 2014 14:37:36 +0800

oslo-config (1:1.2.0a4-2) unstable; urgency=low

  * Missing build-depends: python-d2to1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2013 10:18:29 +0000

oslo-config (1:1.2.0a4-1) unstable; urgency=low

  * New upstream release.
  * Fixed the VCS fields.
  * Added build-depends: python-pbr, python-six & testrepository and fixed the
    start of unit tests using testrepository instead of nosetests.

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Sep 2013 21:35:44 +0800

oslo-config (1:1.1.0-3) unstable; urgency=low

  * Ran wrap-and-sort.
  * Drops python-nosexcover from build-dependencies.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jul 2013 13:35:02 +0800

oslo-config (1:1.1.0-1) unstable; urgency=low

  * New upstream version.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 May 2013 13:46:20 +0000

oslo-config (1.1.0b1-1) experimental; urgency=low

  * Initial release (Closes: #701523).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Oct 2012 11:55:15 +0000
